Bug 108070 - Update devel/apache-ant from 1.6.2 to 1.7.0
Summary: Update devel/apache-ant from 1.6.2 to 1.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Herve Quiroz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-18 02:50 UTC by David King
Modified: 2007-03-07 22:40 UTC (History)
1 user (show)

See Also:


Attachments
patch (2.59 KB, patch)
2007-01-18 02:50 UTC, David King
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David King 2007-01-18 02:50:19 UTC
	Update devel/apache-ant from 1.6.2 to 1.7.0

Fix: Apply attached patch (includes Makefile, distinfo, and pkg-plist)
Comment 1 Edwin Groothuis freebsd_committer 2007-01-18 02:50:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->java

Over to maintainer
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2007-01-22 13:39:05 UTC
Responsible Changed
From-To: java->freebsd-java

Canonicalize assignment.
Comment 3 Herve Quiroz freebsd_committer 2007-01-29 13:11:17 UTC
State Changed
From-To: open->analyzed

Requires a test run on the cluster. Hence we are waiting for ports/104136 to be 
closed beforehand.
Comment 4 Herve Quiroz freebsd_committer 2007-02-05 00:09:24 UTC
State Changed
From-To: analyzed->feedback

The port does not deinstall cleanly: 

$ make deinstall 
===>  Deinstalling for devel/apache-ant 
===>   Deinstalling apache-ant-1.7.0 
pkg_delete: unable to completely remove directory '/usr/local/share/java/apache-ant/lib' 
pkg_delete: unable to completely remove directory '/usr/local/share/java/apache-ant' 
pkg_delete: couldn't entirely delete package (perhaps the packing list is 
incorrectly specified?) 

BTW, I tested with several "major" Java ports and they seem to build fine with 
Ant 1.7.0. This means that we could probably commit the patch (once pkg-plist 
is fixed) without needing a test run on the build cluster beforehand.
Comment 5 David King 2007-02-22 20:37:30 UTC
Here's a patch that fixes the problems uninstalling (for i in  
Makefile distinfo pkg-plist; do diff -c $i.orig $i >> ~/108070.diff;  
done):

--- patch begins here ---
*** Makefile.orig       Wed Sep  6 21:52:18 2006
--- Makefile    Thu Feb 22 11:44:09 2007
***************
*** 6,13 ****
   #

   PORTNAME=     apache-ant
! PORTVERSION=  1.6.5
! PORTREVISION= 2
   CATEGORIES=   devel java
   MASTER_SITES= ${MASTER_SITE_APACHE:S,%SUBDIR%/,ant/binaries/:bin,} \
                 ${MASTER_SITE_LOCAL:S,%SUBDIR%/,hq/:man,} \
--- 6,12 ----
   #

   PORTNAME=     apache-ant
! PORTVERSION=  1.7.0
   CATEGORIES=   devel java
   MASTER_SITES= ${MASTER_SITE_APACHE:S,%SUBDIR%/,ant/binaries/:bin,} \
                 ${MASTER_SITE_LOCAL:S,%SUBDIR%/,hq/:man,} \
*** distinfo.orig       Sun Jan 22 08:27:47 2006
--- distinfo    Thu Feb 22 11:44:09 2007
***************
*** 1,6 ****
! MD5 (apache-ant-1.6.5-bin.tar.bz2) = 26031ee1a2fd248ad0cc2e7f17c44c39
! SHA256 (apache-ant-1.6.5-bin.tar.bz2) =  
d463b8259cb199cd26799c817756c73e4e7808b0cf915f86841ac9779e0f9936
! SIZE (apache-ant-1.6.5-bin.tar.bz2) = 6743024
   MD5 (apache-ant-manpage-20030908.tgz) =  
1fe1fdab6cce4def62005d67d929a9c9
   SHA256 (apache-ant-manpage-20030908.tgz) =  
721981f64fae3577c04c527232edab9bfa0755af08319049cec206584dc8830c
   SIZE (apache-ant-manpage-20030908.tgz) = 9735
--- 1,6 ----
! MD5 (apache-ant-1.7.0-bin.tar.bz2) = 6df38ed01474d6e7c1570d2d8cb5c110
! SHA256 (apache-ant-1.7.0-bin.tar.bz2) =  
e4dc1a1774640d5587a9cf50bc6d84d21ec2c995eda5833120d3ba571f5fb314
! SIZE (apache-ant-1.7.0-bin.tar.bz2) = 7467376
   MD5 (apache-ant-manpage-20030908.tgz) =  
1fe1fdab6cce4def62005d67d929a9c9
   SHA256 (apache-ant-manpage-20030908.tgz) =  
721981f64fae3577c04c527232edab9bfa0755af08319049cec206584dc8830c
   SIZE (apache-ant-manpage-20030908.tgz) = 9735
*** pkg-plist.orig      Wed Sep  6 21:52:18 2006
--- pkg-plist   Thu Feb 22 12:01:44 2007
***************
*** 16,49 ****
   %%DATADIR%%/etc/mmetrics-frames.xsl
   %%DATADIR%%/etc/tagdiff.xsl
   %%DATADIR%%/lib/README
   %%DATADIR%%/lib/ant-antlr.jar
   %%DATADIR%%/lib/ant-apache-bcel.jar
   %%DATADIR%%/lib/ant-apache-bsf.jar
   %%DATADIR%%/lib/ant-apache-log4j.jar
   %%DATADIR%%/lib/ant-apache-oro.jar
   %%DATADIR%%/lib/ant-apache-regexp.jar
   %%DATADIR%%/lib/ant-apache-resolver.jar
   %%DATADIR%%/lib/ant-commons-logging.jar
   %%DATADIR%%/lib/ant-commons-net.jar
! %%DATADIR%%/lib/ant-icontract.jar
   %%DATADIR%%/lib/ant-jai.jar
   %%DATADIR%%/lib/ant-javamail.jar
   %%DATADIR%%/lib/ant-jdepend.jar
   %%DATADIR%%/lib/ant-jmf.jar
   %%DATADIR%%/lib/ant-jsch.jar
   %%DATADIR%%/lib/ant-junit.jar
   %%DATADIR%%/lib/ant-launcher.jar
   %%DATADIR%%/lib/ant-netrexx.jar
   %%DATADIR%%/lib/ant-nodeps.jar
   %%DATADIR%%/lib/ant-starteam.jar
   %%DATADIR%%/lib/ant-stylebook.jar
   %%DATADIR%%/lib/ant-swing.jar
   %%DATADIR%%/lib/ant-trax.jar
! %%DATADIR%%/lib/ant-vaj.jar
   %%DATADIR%%/lib/ant-weblogic.jar
- %%DATADIR%%/lib/ant-xalan1.jar
- %%DATADIR%%/lib/ant-xslp.jar
   %%DATADIR%%/lib/ant.jar
   %%DATADIR%%/lib/xercesImpl.jar
   %%DATADIR%%/lib/xml-apis.jar
   bin/ant
--- 16,125 ----
   %%DATADIR%%/etc/mmetrics-frames.xsl
   %%DATADIR%%/etc/tagdiff.xsl
   %%DATADIR%%/lib/README
+ %%DATADIR%%/lib/ant-1.7.0.pom
+ %%DATADIR%%/lib/ant-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-1.7.0.pom.sha1
+ %%DATADIR%%/lib/ant-antlr-1.7.0.pom
+ %%DATADIR%%/lib/ant-antlr-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-antlr-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-antlr.jar
+ %%DATADIR%%/lib/ant-apache-bcel-1.7.0.pom
+ %%DATADIR%%/lib/ant-apache-bcel-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-apache-bcel-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-apache-bcel.jar
+ %%DATADIR%%/lib/ant-apache-bsf-1.7.0.pom
+ %%DATADIR%%/lib/ant-apache-bsf-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-apache-bsf-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-apache-bsf.jar
+ %%DATADIR%%/lib/ant-apache-log4j-1.7.0.pom
+ %%DATADIR%%/lib/ant-apache-log4j-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-apache-log4j-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-apache-log4j.jar
+ %%DATADIR%%/lib/ant-apache-oro-1.7.0.pom
+ %%DATADIR%%/lib/ant-apache-oro-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-apache-oro-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-apache-oro.jar
+ %%DATADIR%%/lib/ant-apache-regexp-1.7.0.pom
+ %%DATADIR%%/lib/ant-apache-regexp-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-apache-regexp-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-apache-regexp.jar
+ %%DATADIR%%/lib/ant-apache-resolver-1.7.0.pom
+ %%DATADIR%%/lib/ant-apache-resolver-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-apache-resolver-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-apache-resolver.jar
+ %%DATADIR%%/lib/ant-commons-logging-1.7.0.pom
+ %%DATADIR%%/lib/ant-commons-logging-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-commons-logging-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-commons-logging.jar
+ %%DATADIR%%/lib/ant-commons-net-1.7.0.pom
+ %%DATADIR%%/lib/ant-commons-net-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-commons-net-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-commons-net.jar
! %%DATADIR%%/lib/ant-jai-1.7.0.pom
! %%DATADIR%%/lib/ant-jai-1.7.0.pom.md5
! %%DATADIR%%/lib/ant-jai-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-jai.jar
+ %%DATADIR%%/lib/ant-javamail-1.7.0.pom
+ %%DATADIR%%/lib/ant-javamail-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-javamail-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-javamail.jar
+ %%DATADIR%%/lib/ant-jdepend-1.7.0.pom
+ %%DATADIR%%/lib/ant-jdepend-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-jdepend-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-jdepend.jar
+ %%DATADIR%%/lib/ant-jmf-1.7.0.pom
+ %%DATADIR%%/lib/ant-jmf-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-jmf-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-jmf.jar
+ %%DATADIR%%/lib/ant-jsch-1.7.0.pom
+ %%DATADIR%%/lib/ant-jsch-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-jsch-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-jsch.jar
+ %%DATADIR%%/lib/ant-junit-1.7.0.pom
+ %%DATADIR%%/lib/ant-junit-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-junit-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-junit.jar
+ %%DATADIR%%/lib/ant-launcher-1.7.0.pom
+ %%DATADIR%%/lib/ant-launcher-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-launcher-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-launcher.jar
+ %%DATADIR%%/lib/ant-netrexx-1.7.0.pom
+ %%DATADIR%%/lib/ant-netrexx-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-netrexx-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-netrexx.jar
+ %%DATADIR%%/lib/ant-nodeps-1.7.0.pom
+ %%DATADIR%%/lib/ant-nodeps-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-nodeps-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-nodeps.jar
+ %%DATADIR%%/lib/ant-parent-1.7.0.pom
+ %%DATADIR%%/lib/ant-parent-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-parent-1.7.0.pom.sha1
+ %%DATADIR%%/lib/ant-starteam-1.7.0.pom
+ %%DATADIR%%/lib/ant-starteam-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-starteam-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-starteam.jar
+ %%DATADIR%%/lib/ant-stylebook-1.7.0.pom
+ %%DATADIR%%/lib/ant-stylebook-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-stylebook-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-stylebook.jar
+ %%DATADIR%%/lib/ant-swing-1.7.0.pom
+ %%DATADIR%%/lib/ant-swing-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-swing-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-swing.jar
+ %%DATADIR%%/lib/ant-testutil-1.7.0.pom
+ %%DATADIR%%/lib/ant-testutil-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-testutil-1.7.0.pom.sha1
+ %%DATADIR%%/lib/ant-testutil.jar
+ %%DATADIR%%/lib/ant-trax-1.7.0.pom
+ %%DATADIR%%/lib/ant-trax-1.7.0.pom.md5
+ %%DATADIR%%/lib/ant-trax-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-trax.jar
! %%DATADIR%%/lib/ant-weblogic-1.7.0.pom
! %%DATADIR%%/lib/ant-weblogic-1.7.0.pom.md5
! %%DATADIR%%/lib/ant-weblogic-1.7.0.pom.sha1
   %%DATADIR%%/lib/ant-weblogic.jar
   %%DATADIR%%/lib/ant.jar
+ %%DATADIR%%/lib/libraries.properties
   %%DATADIR%%/lib/xercesImpl.jar
   %%DATADIR%%/lib/xml-apis.jar
   bin/ant
--- patch ends here ---
Comment 6 Herve Quiroz freebsd_committer 2007-02-27 23:04:38 UTC
State Changed
From-To: feedback->open

Feedback received 


Comment 7 Herve Quiroz freebsd_committer 2007-02-27 23:04:38 UTC
Responsible Changed
From-To: freebsd-java->hq

I'll handle this.
Comment 8 Herve Quiroz freebsd_committer 2007-03-06 21:11:22 UTC
State Changed
From-To: open->analyzed

Status update to let users know that I've been testing ports with USE_ANT 
defined those last few days. 

Builds are doing good so far. I should be able to commit the patch by tomorrow.
Comment 9 dfilter service freebsd_committer 2007-03-07 22:32:57 UTC
hq          2007-03-07 22:32:45 UTC

  FreeBSD ports repository

  Modified files:
    devel/apache-ant     Makefile distinfo pkg-plist 
  Log:
  Update to 1.7.0
  
  PR:             108070
  Submitted by:   David King <ketralnis@ketralnis.com>
  
  Revision  Changes    Path
  1.46      +1 -2      ports/devel/apache-ant/Makefile
  1.19      +3 -3      ports/devel/apache-ant/distinfo
  1.25      +81 -5     ports/devel/apache-ant/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Herve Quiroz freebsd_committer 2007-03-07 22:33:01 UTC
State Changed
From-To: analyzed->closed

Patch commited. Thanks for you contribution!